<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <script src="https://code.jquery.com/jquery-git.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>
    <!-- <link rel="stylesheet" href="jform.css" /> -->
    <style>
        body{
    background: linear-gradient(to right, );
}
#form{
    width: 500px;
    margin: 20vh auto 0 auto;
    padding: 20px;
    background-color: grey;
    border-radius: 4px;
    font-size: 12px;
}
#form h1{
    color: #0f2027;
    text-align: center;
}
.submit{
    padding: 10px;
    margin-top: 10px;
    width: 100%;
    color:white;
    background-color: rgb(41, 194, 87);
    border: none;
    border-radius: 4px;
}
.input-control input:focus{
    outline: 0;
}
.input-control.success input{
    border-color: #09c372;
}
.input-control.error input{
    border-color: #ff3860;
}
.input-control.error{
    color: #ff3860;
    font-size: 9px;
    height: 13px;
}
.gender{
    margin-left: 10%;
}
.id{
    margin-left: 10%;
}
    </style>
  </head>

  <body>
    <div class="container">
      <form id="form" action="/api/user/createUser" method="post">
        <h1>Registration Page</h1>
        <br /><br />
        <div>
          <label for="fname">First Name :</label>
          <input type="text" name="fname" class="fname" id="fname" required><br />
          <span style="color: red" id="error1"></span>
        </div>
        <br />
        <div>
          <label for="lname">Last Name :</label>
          <input type="text" name="lname" class="lname" id="lname" /><br />
          <span style="color: red" id="error2"></span>
        </div>
        <br />
        <div>
          <label for="email">Email id :</label>
          <input type="email" name="email" class="email" id="email" required><br />
          <span style="color: red" id="error3"></span>
        </div>
        <br />
        <div>
          <label for="pno">Phone No :</label>
          <input type="text" name="number" id="number" class="number"><br />
          <span style="color: red" id="error4"></span>
        </div>
        <br />
        <div>
          <label for="gender">Gender :</label><br />
          <input
            type="radio"
            name="gender"
            value="male"
            id="gender"
            class="gender"
          />Male <br />
          <input
            type="radio"
            name="gender"
            value="female"
            id="gender"
            class="gender"
          />Female <br />
          <input
            type="radio"
            name="gender"
            value="other"
            id="gender"
            class="gender"
          />Other <br />
          <span style="color: red" id="error5"></span>
        </div>
        <br />
        <div>
          <label>State :</label>
          <select id="state"
          name="state"> 
            <option></option> 
            <option value="kerala">kerala</option>
            <option value="Tamilnadu">Tamilnadu</option>
            <option value="Karnataka">Karnataka</option>
            <option value="Goa">Goa</option> 
          </select>
          <span style="color: red" id="error6"></span><br />
        </div>
        <br />
        <div>
          <label for="password">Password :</label>
          <input
            type="password"
            name="password"
            id="password"
            class="password"
          /><br />
          <span style="color: red" id="error7"></span>
        </div>
        <br />
        <div>
          <label for="cpassword">Confirm Password :</label>
          <input type="password"  id="cpassword" class="cpassword"><br />
          <span style="color: red" id="error8"></span>
        </div>
        <br /><br />
        <div>
          <input type="checkbox" name="terms" id="terms" />
          <a href="abc.txt" class="modal">Terms and conditions</a><br />
          <span style="color: red" id="error9"></span>
        </div>
        <!-- <button id="submit">Submit</button> -->
        <input type="submit" value="Submit" class="submit" id="submit" />
      </form>
    </div>
    <!-- <script src="./jQueryform.js"></script> -->
  </body>
  <script>
      $("#submit").click(function () {
  let flag = true;
  const fname = $("#fname").val();
  const lname = $("#lname").val();
  const email = $("#email").val();
  const phno = $("#number").val();
  const gender = $('input[name="gender"]:checked').val();
  const state = $("#state option:selected").val();
  const password = $("#password").val();
  const cpassword = $("#cpassword").val();

  validatefname();
  validatelname();
  validatephno();
  validategender();
  validatestate();
  validatepassword();
  validatecpassword();
  validateterms();

  function validatefname() {
    var abc = /^[A-Za-z]+$/;
    var Valid = abc.test(fname);
    if (!Valid) {
      $("#error1").text("name should only contain alphabets");
      flag = false;
    }
  }

  function validatelname() {
    var abc = /^[A-Za-z]+$/;
    var Valid = abc.test(lname);
    if (!Valid) {
      $("#error2").html("name should only contain alphabets");
      flag = false;
    }
  }
  function validatephno() {
    var ph = /^[0-9-+]+$/;
    var dash = ph.test(phno);
    if (!dash || ph.length >= 12) {
      $("#error4").html("phone number is greater than 10 number");
      flag = false;
    }
  }
  function validategender() {
    var valid = $("input[name=gender]").is(":checked");
    if (!valid) {
      $("#error5").html("Select a gender");
      flag = false;
    }
  }
  function validatestate() {
    if (state == " ") {
      $("#error6").html("Select one state");
      flag = false;
    }
  }
  function validatepassword() {
    if (password.length == "") {
      $("#error7").html("Enter a password");
      flag = false;
    } else if (password.length < 9) {
      $("#error7").html("Password must contain 10 characters");
      flag = false;
    }
  }
  function validatecpassword() {
    if (cpassword.length == "") {
      $("#error8").html("Enter a confirm password");
      flag = false;
    } else if (password != cpassword) {
      $("#error8").html("Password didn't match");
      flag = false;
    }
  }
  function validateterms() {
    var s = $("#terms").prop("checked");
    if (!s) {
      $("#terms").html("Tick box to agree");
      flag = false;
    }
  }
  if (flag == true) {
    if (flag == false) {
      var data = [];
      formdatas.push(fname);
      formdatas.push(lname);
      formdatas.push(email)
;
      formdatas.push(phno);
      formdatas.push(gender);
      formdatas.push(state);
      formdatas.push(cpassword);

      var string = JSON.stringify(data);
      console.log(string);
    }
  }
});


  </script>
</html>


